version 12.0

insheet using "////flattened.csv", nodouble delimiter(";") clear case name
destring, replace force float dpcomma

generate logfromCEM = log(fromCEM)
generate logfromWRM = log(fromWRM)
generate logfromPNM = log(fromPNM)
generate logtoCEM = log(toCEM)
generate logtoWRM = log(toWRM)
generate logtoPNM = log(toPNM)

rreg logfromWRM logtoWRM logtoPNM isolation
regress logfromWRM logtoWRM logtoPNM isolation, vce (cluster fromFileId)

xtmixed logfromWRM logtoWRM isolation || toLib: isolation || toFileId:, mle var cov(un)

Models:
1) xtmixed logfromWRM || _all: logtoWRM || fromLib:, mle var cov(un)
2) xtmixed logfromWRM logtoWRM isolation || _all: logtoWRM || fromLib: isolation, mle var cov(un)
3) xtmixed logfromWRM logtoWRM isolation || _all: logtoWRM || fromLib:, mle var cov(un)
4) xtmixed logfromWRM logtoWRM isolation || _all: toFileId || fromLib:, mle var cov(un)
5) xtmixed logfromWRM logtoWRM isolation || toLib: || fromLib:, mle var cov(un)
6) xtmixed logfromWRM logtoWRM isolation || _all: toFileId || fromLib:, mle var cov(un)

/* =========================== */

insheet using "////filesTable.csv", nodouble delimiter(";") clear case name
destring, replace force float dpcomma

generate lognrUnits = log(nrUnits)
generate lognrOldUnits = log(nrOldUnits)
generate lognrRemovedUnits = log(nrRemovedUnits)
generate lognrNewUnits = log(nrNewUnits)
generate logCEM = log(CEM)
generate logWRM = log(WRM)
generate logPNM = log(PNM)
generate logRCNO = log(RCNO)
generate logdeltaUo = log(deltaUo)
generate logdeltaUn = log(deltaUn)
generate logPageRank = log(PageRank)
generate logHubbiness = log(Hubbiness)
generate logAuthoritativeness = log(Authoritativeness)

regress logWRM logCEM lognrUnits logPNM outgoingIsolation outdegree, beta

qnorm logWRM
pnorm logWRM
kdensity logWRM, normal
rvfplot
lvr2plot
swilk logCEM

/* =========================== */

insheet using "//////analysis/stats.csv", nodouble delimiter(",") clear case
codebook