#!/usr/bin/env Rscript

suppressWarnings(library(tcltk))
suppressWarnings(library(sqldf))

source("//////draw.r")
source("//////determine.r")
source("//////write.r")
source("//////other.r")
source("//////rating.r")

usageData <- read.csv(file="/////calls.csv", sep=";")
usageData <- sqldf("select fullName, package, class, method, count(*) from usageData group by fullName, package, class, method order by count(*) desc")
names(usageData)[5] <- "count"

cat("database,rating,metric,value\n")

fileList <- dir(path="////", pattern="^r_.*.csv$", full.names=TRUE)
for (singleFile in fileList) {
	systemData <- suppressWarnings(readSystemData(singleFile))
	
	calculateRating(systemData, "R1", "mccabe", usageData, FALSE)
	calculateRating(systemData, "R1", "loc", usageData, FALSE)
	calculateRating(systemData, "R1", "nrParameters", usageData, FALSE)
	
	calculateRating(systemData, "R2", "mccabe", usageData, FALSE)
	calculateRating(systemData, "R2", "nrParameters", usageData, FALSE)
	calculateRating(systemData, "R2", "loc", usageData, FALSE)
	
	calculateRating(systemData, "R3", "mccabe", usageData, FALSE)
	calculateRating(systemData, "R3", "loc", usageData, FALSE)
	calculateRating(systemData, "R3", "nrParameters", usageData, FALSE)
	
	calculateRating(systemData, "R4", "mccabe", usageData, FALSE)
	calculateRating(systemData, "R4", "loc", usageData, FALSE)
	calculateRating(systemData, "R4", "nrParameters", usageData, FALSE)
}

cat("Finished.\n")