#!/bin/bash

# Creates a sample of $sampleSize files and puts them into $sampleFile
sampleSize=$1
sampleFile=$2

if [ $(hostname) == "" ]; then
	echo "   Selecting random sample from database..."
	mysql -D -B -N -e "$(cat createsample.sql | sed 's:$sampleSize:'$sampleSize':g')" > $sampleFile
else
	echo "   Selecting top $sampleSize from select300mb dataset..."
	currentDir=$(pwd)
	cd /////
	find $(pwd) -type d -maxdepth 2 -mindepth 2 | head -n$sampleSize > $currentDir/$sampleFile
	cd $currentDir
fi
