#!/bin/bash

if [ $# -lt 4 ]; then
	echo "Usage: $0 <scopeFile> <directory> <host> <logdir>"
	exit 1
fi

scopeFile=$1
directory=$2
host=$3
logdir=$4

nodeId=$(hostname)
databaseName=aap_$nodeId
databaseName=$(echo $databaseName | sed 's:\.:_:g' | sed 's:-:_:g')

mkdir -p $logdir

share=

nrFiles=$(echo $(ls -1 $directory | grep ^20 | wc -l))
echo "dataimporter.sh, $nrFiles files found:"
ls -1 $directory | grep ^20

if [ $nrFiles -ne 0 ]; then
	java -server -cp 
	
	# Check if database exists with $nrDirectories snapshots in it
	
	if [ $host == "" ]; then
		databaseExists=$(l -h -B -N -e "show databases" | grep $databaseName)
	else
		databaseExists=$(ssh $host "mysql " | grep $databaseName)
	fi
	
	if [ -z $databaseExists ]; then
		echo "datarunner.sh, database does not exist, while it should"
	else
		if [ $host == "" ]; then
			nrSnapshots=$(-D$databaseName -h -B -N -e "")
		else
			nrSnapshots=$(ssh $host "mysql -D$databaseName -h -B -N -e)
		fi
	fi
fi