#!/bin/bash

if [ $# -lt 4 ]; then
	echo "Usage: $0 <scopeFile> <directory> <host> <logdir>"
	exit 1
fi

scopeFile=$1
directory=$2
host=$3
logdir=$4

nodeId=$(hostname)
databaseName=$(echo aap_$nodeId | sed 's:\.:_:g' | sed 's:-:_:g')

echo "datarunner.sh: Dropping database $databaseName, host=$host"
if [ $host == "" ]; then
	echo "datarunner.sh: Using local mysql to drop database $databaseName"
	mysql -h -e "drop database if exists $databaseName"
fi

echo "===================================="
echo "datarunner.sh: scopeFile=$scopeFile,directory=$directory,host=$host,logdir=$logdir,nodeId=$nodeId"

nrDirectories=$(echo $(ls -l $directory | grep "^d" | wc -l))
echo "datarunner.sh: found $nrDirectories directories:"
ls -l $directory | grep "^d"
	
share=

if [ $nrDirectories -ne 0 ]; then
	java -server -cp 
fi

echo "Finished datarunner."