#!/bin/bash

if [ $# -lt 3 ]; then
	echo "Usage: $0 <jarName> <outputDir> <jarLibDir>"
	exit 1
fi

# The .jar file to decompile
binaryJar=$1
# The directory to decompile the jar in
outputDir=$(cd $2; pwd)
# The directory of .jar
jarLibDir=$(cd $3; pwd)

if [ ! -f $binaryJar ]; then
	echo "Binary jar file '$binaryJar' not found. Exiting."
	exit 1
fi

tar -tvzf $binaryJar 1>/dev/null 2>/dev/null
if [ $? == 1 ]; then
	echo "Corrupt jar file. Exiting."
	exit 1
fi

echo "Running decompiler with filename = '$binaryJar',"
echo "   outputPath = '$outputDir', libPath = '$jarLibDir'"

Jar="$jarLibDir/.jar"

java -jar $Jar \
	-s \
	-Decompiler \
	-filename $binaryJar \
	-outputPath $outputDir \
	-libPath $jarLibDir 2>/dev/null