delimiter $$
CREATE TABLE `deletedFiles` (
  `fileId` int(11) NOT NULL,
  `fullName` varchar(500) DEFAULT NULL,
  `groupId` varchar(255) NOT NULL,
  `artifactId` varchar(255) NOT NULL,
  `version` varchar(50) DEFAULT NULL,
  `reservedNodeId` int(11) DEFAULT NULL,
  `snapshotId` int(11) DEFAULT NULL,
  `hasSource` tinyint(1) DEFAULT NULL,
  `PageRank` float DEFAULT NULL,
  `Betweenness` float DEFAULT NULL,
  `Hubbiness` float DEFAULT NULL,
  `Authoritativeness` float DEFAULT NULL,
  `WRM` float DEFAULT NULL,
  `CEM` float DEFAULT NULL,
  `RCNO` float DEFAULT NULL,
  `PNM` float DEFAULT NULL,
  `nrUnits` int(11) DEFAULT NULL,
  `nrNewUnits` int(11) DEFAULT NULL,
  `nrOldUnits` int(11) DEFAULT NULL,
  `nrRemovedUnits` int(11) DEFAULT NULL,
  `deltaUn` float DEFAULT NULL,
  `deltaUo` float DEFAULT NULL,
  `hws` float DEFAULT NULL,
  `maintainability` float DEFAULT NULL,
  `updated` date DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  PRIMARY KEY (`fileId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin2$$
delimiter ;

insert into deletedFiles
    # The following files are not valid:
    # Test jars should be excluded
    select * from files 
    where fullName like "%-tests.jar"

    union

    # Only files with valid filename should be included
    select * from files
    where fullName is null

    union 

    # These are for backup purposes only
    select * from files 
    where groupId like "%.old"
        or groupId like "%.old.%"

    union

    # No valid groupId, artifactId or version
    select * from files
    where groupId like "${%"
        or artifactId like "${%"
        or version like "${%"

    union

    # Empty groupId, artifactId or version
    select * from files
    where groupId = ""
    or artifactId = ""
    or version = "";

# ====================================
delete from files
where fileId in
(
    select fileId
    from deletedFiles
);

# count(*) of all files: 166776
# count(*) of files that are deleted: 34875
# count(*) of files that remain after delete: 131901

# ====================================
# To update the corresponding units table:
insert into deletedUnits
    select *
    from units
    where fileId in
    (
        select fileId
        from deletedFiles
    );

delete from units
where fileId in
(
    select fileId
    from deletedFiles
);
# ====================================