#! /usr/bin/env python
'''
Created on Jun 15, 2012

@author: xander

Reads a gdf-ish graph from stdin and writes a gml to stdout
'''

import sys
import networkx as nx

if __name__ == '__main__':
	nodeparsing = False
	network = nx.DiGraph()
	for line in sys.stdin:
		line = line.strip()
		if line.startswith("nodedef"):
			nodeparsing = True
		elif line.startswith("edgedef"):
			nodeparsing = False
		elif line == "":
			pass
		else:
			if nodeparsing:
				node_id, node_label = line.split(',', 1)
				node = network.add_node(node_id, label=node_label)
			else:
				src, dst = line.split(',')
				network.add_edge(src, dst)
	# nx.write_gml(network, sys.stdout)

	print('Completed reading graph. Number of nodes =', network.number_of_nodes(), ', number of edges =', network.number_of_edges())

	print(repr(nx.in_degree_centrality(network)))
