#!/usr/bin/env python

import os
import sys

import MySQLdb as db

def main():
	conn = connect()
	cursor = getrandomlist(conn)
	rows = cursor.fetchall()
	for row in rows:
		process_row(row)
	close(cursor, conn)
	print("Finished.")

# ==============================

def connect():
	print("Connecting to database...")
	conn = db.connect(host = "",
					   = "",
					  passwd = "",
					  db = "")
	return conn

def close(cursor, conn):
	print("Closing connections")
	cursor.close()
	conn.close()
	
def getrandomlist(conn):
	print("Fetching random list")
	cursor = conn.cursor()	
	sql=("""
		select distinct basedir
		from
		(
		    select 
		        fullName,
		        @first:=left(fullName, length(fullName) - locate('/', reverse(fullName))),
		        @second:=left(@first, length(@first) - locate('/', reverse(@first))) as 'basedir'
		    from files
		) as a
		where hasSource = 1
		order by RAND()
		""")
	cursor.execute(sql)
	return cursor

def process_row(row):
	# Get all version directories
	# Iterate over these directories
	# Check if each of them contains source file
	# ends with ".*-sources.jar"
	# If one of them does not contain that file, return false
	# else, return true
	path = row[0]
	dirlist = os.listdir(path)
	for dirname in dirlist:
		print dirname
	
main()
